package matrices2;

import matrices.Matrix;
import matrices.MatrixException;
import matrices.MatrixUtil;
import matrices.Util;

public class Matrix068 {
    public static void main(String[] args) {
        double[][] array = {{2, 4, 0, 6}, {4, 10, -2, 12}, {6, 14, 0, 10},
                {-2, 0, 0, -4}};
        Matrix matrix = new Matrix(array);
        matrix.printToConsole();
        Util.print("");
        if (matrix.isSquareMatrix()) {
            try {
                Util.print(matrix.det());
            } catch (MatrixException e) {
                e.printStackTrace();
            }
        }
        Matrix matrix1 = MatrixUtil.elimGauss(matrix);
        matrix1.printToConsole();
        double det = MatrixUtil.detGauss(matrix);
        Util.print(det);
    }
}